Bug 1297336 - [RFE][UX] collect all errors to the undercloud when a deployment fails
[RFE][UX] collect all errors to the undercloud when a deployment fails
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
high Severity high
: ---
: 13.0 (Queens)
Assigned To: Jason E. Rist
Ola Pavlenko
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 04:30 EST by Udi
Modified: 2017-08-03 22:04 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Udi 2016-01-11 04:30:23 EST
Description of problem:
When a deployment fails the user has to dig through a myriad of logs on all nodes and heat resources. Please collect all relevant errors to the failure in an error log on the undercloud - and give a clear message to the user to look in that log.


How reproducible:
100%


Steps to Reproduce:
1. Deploy and fail for some reason


Actual results:
Failure reason is up to the user to determine


Expected results:
Failure reason should be propagated up and be available easily and clearly to the user, on the undercloud.
Comment 3 Mike Burns 2016-04-07 17:03:37 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 5 Jason E. Rist 2016-09-29 07:20:38 EDT
Is this still an issue? How was this done? CLI? UI? Can you elaborate more on what causes this issue?
Comment 6 Udi 2016-09-29 07:25:10 EDT
This is still an issue. It's hard for users to see the relevant logs when a failure occurs. There currently is no feature that aggregates all the needed logs in a readable way. This applies equally to the UI as well as CLI.
Comment 7 Ola Pavlenko 2016-10-05 11:06:04 EDT
https://review.openstack.org/#/c/376060/
Comment 8 Ola Pavlenko 2016-10-05 12:58:27 EDT
Blueprint is here :
https://blueprints.launchpad.net/tripleo-ui/+spec/websocket-logging

Note You need to log in before you can comment on or make changes to this bug.